%define pd_version 0.41.4

%define absattr_revision 3619
%define absattr_version 0.2.3
%define absattr_svndate 20090721.175057

Summary: Argument attribute external for Pd
Name: pd-absattr
Version: %{absattr_version}
Release: 0.1.svn%{absattr_revision}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://puredata.info/Members/thomas/absattr/
Source0: absattr-%{absattr_version}-svn%{absattr_revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

ExcludeArch: x86_64

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel

%description
This external object allows the usage of Max/MSP/Jitter-style
attributes for the purpose of argument or parameter passing to Pure
Data abstractions.

%prep
%setup -q -n absattr-%{absattr_version}

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# we need a local copy of the buildsys flext environment so
# we can override the installation directory
(cd %{_libdir}/flext ; tar cf - buildsys build.sh)|tar xpf -

# go and build
SHARED=true ./build.sh pd gcc

%install
%{__rm} -rf %{buildroot}

# install in the right place
%{__perl} -p -i -e "s|/usr|%{buildroot}/usr|g" buildsys/config-lnx-pd-gcc.txt
SHARED=true ./build.sh pd gcc install

# install help and examples
install -m 0644 *pd %{buildroot}%{_libdir}/pd/extra/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_libdir}/pd/extra/absattr.pd_linux
%{_libdir}/pd/extra/*pd

%changelog
* Tue Jul 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.3-1
- initial build, used to be part of pd-extended
